Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: DBSAXHandler.java
- *     Purpose: A Class that handles the SAX XML events as they
- *              are generated from XML documents
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: DBSAXHandler.java
+ *   Purpose: A Class that handles the SAX XML events as they
+ *            are generated from XML documents
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/DBValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 168)
@@ -1,3 +1,15 @@
+/**
+ *      Name: GenericXMLValidate.java
+ *   Purpose: A Class that validates XML documents
+ *            This class is designed to be 'parser independent
+ *            i.e. it uses only org.xml.sax classes
+ *            It is tied to SAX 1.0 methods
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Dan Higgins
+ * 
+ *   Version: '$Id$'
+ */
 package edu.ucsb.nceas.metacat;
 
 
Index: src/edu/ucsb/nceas/metacat/ElementNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: ElementNode.java
- *     Purpose: A Class that represents an XML element and its contents,
- *              and can build itself from a database connection
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: ElementNode.java
+ *   Purpose: A Class that represents an XML element and its contents,
+ *            and can build itself from a database connection
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/DBSAXDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXDocument.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBSAXDocument.java	(revision 168)
@@ -1,11 +1,11 @@
 /**
- *        Name: DBSAXDocument.java
- *     Purpose: A Class that writes an XML document main data
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Jivka Bojilova
+ *      Name: DBSAXDocument.java
+ *   Purpose: A Class that writes an XML document main data
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Jivka Bojilova
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/DBEntityResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 168)
@@ -1,9 +1,9 @@
 /**
  *      Name: DBEntityResolver.java
  *   Purpose: A Class that implements org.xml.sax.EntityResolver interface
- *              for resolving external entities
+ *            for resolving external entities
  * Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
+ *            National Center for Ecological Analysis and Synthesis
  *   Authors: Jivka Bojilova
  *
  *   Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBSAXNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 168)
@@ -1,11 +1,11 @@
 /**
- *        Name: DBSAXNode.java
- *     Purpose: A Class that represents an XML node and its contents
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: DBSAXNode.java
+ *   Purpose: A Class that represents an XML node and its contents
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/GenericXMLValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/GenericXMLValidate.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/GenericXMLValidate.java	(revision 168)
@@ -1,3 +1,15 @@
+/**
+ *      Name: GenericXMLValidate.java
+ *   Purpose: A Class that validates XML documents
+ *            This class is designed to be 'parser independent
+ *            i.e. it uses only org.xml.sax classes
+ *            It is tied to SAX 1.0 methods
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Dan Higgins
+ * 
+ *   Version: '$Id$'
+ */
 package edu.ucsb.nceas.metacat;
 
 
Index: src/edu/ucsb/nceas/metacat/DBReader.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBReader.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBReader.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: DBReader.java
- *     Purpose: A Class that creates an XML text document
- *              from a query to a relational DB containing a DOM representation
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: DBReader.java
+ *   Purpose: A Class that creates an XML text document
+ *            from a query to a relational DB containing a DOM representation
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/XMLValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/XMLValidate.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/XMLValidate.java	(revision 168)
@@ -1,3 +1,15 @@
+/**
+ *      Name: XMLValidate.java
+ *   Purpose: A Class that validates XML documents
+ *            This class is uses a specific parser
+ *            and calls the GenericXMLValidate class
+ *            to do the actual validation
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Dan Higgins 
+ * 
+ *   Version: '$Id$'
+ */
 package edu.ucsb.nceas.metacat;
 
 import org.w3c.dom.*;
Index: src/edu/ucsb/nceas/metacat/MetaCatUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatUtil.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/MetaCatUtil.java	(revision 168)
@@ -1,11 +1,11 @@
 /**
- *        Name: MetaCatUtil.java
- *     Purpose: A Class that implements utility methods for a metadata catalog
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: MetaCatUtil.java
+ *   Purpose: A Class that implements utility methods for a metadata catalog
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  * 
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/DBDTDHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBDTDHandler.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBDTDHandler.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: DBDTDHandler.java
- *     Purpose: A Class that implements org.xml.sax.DTDHandler interface
- *              for resolving external entities
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Jivka Bojilova
+ *      Name: DBDTDHandler.java
+ *   Purpose: A Class that implements org.xml.sax.DTDHandler interface
+ *            for resolving external entities
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Jivka Bojilova
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/AccessionNumber.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessionNumber.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/AccessionNumber.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: AccessionNumber.java
- *     Purpose: A class that gets Accession Number, check for uniqueness
- *              and register it into db
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Jivka Bojilova
+ *      Name: AccessionNumber.java
+ *   Purpose: A class that gets Accession Number, check for uniqueness
+ *            and register it into db
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Jivka Bojilova
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
@@ -22,7 +22,8 @@
 public class AccessionNumber  {
     
     public static String generate (String accNumber, String action) 
-        throws ClassNotFoundException, StringIndexOutOfBoundsException, SQLException
+        throws ClassNotFoundException, StringIndexOutOfBoundsException, 
+               SQLException
     {
         
         String globalName = null;
@@ -35,13 +36,15 @@
         String defaultDB = (String)options.handleGetObject("defaultDB");
         String user = (String)options.handleGetObject("user");
         String password = (String)options.handleGetObject("password");
-        String defaultGlobalName = (String)options.handleGetObject("defaultGlobalName");
+        String defaultGlobalName = 
+               (String)options.handleGetObject("defaultGlobalName");
         String sep = (String)options.handleGetObject("accNumberSeparator");
 
 
         try {
             // Open a new connection to the database
-            Connection conn = MetaCatUtil.openDBConnection(dbDriver, defaultDB, user, password);
+            Connection conn = MetaCatUtil.openDBConnection(dbDriver, 
+                              defaultDB, user, password);
             conn.setAutoCommit(true);
 
             // split the acc # in 2 parts - global name & local id
@@ -58,7 +61,9 @@
                     return put(conn, globalName, localId, sep);
 
         } catch (SQLException e) {
-            System.out.println("Error on AccessionNumber.genAccessionNumber(): " + e.getMessage());
+            System.out.println(
+                       "Error on AccessionNumber.genAccessionNumber(): " + 
+                       e.getMessage());
             throw e;
         }    
         
@@ -65,7 +70,8 @@
         return null;        
     }    
 
-    private static String put (Connection conn, String globalName, String localId, String sep) 
+    private static String put (Connection conn, String globalName, 
+                String localId, String sep) 
                 throws SQLException
     {
         
@@ -80,14 +86,17 @@
 
             // insert globalName & l
             PreparedStatement pstmt;
-            pstmt = conn.prepareStatement("INSERT INTO xml_acc_numbers (global_name, local_id) " + 
-                                          "VALUES (?, ?)");
+            pstmt = conn.prepareStatement(
+                    "INSERT INTO xml_acc_numbers (global_name, local_id) " + 
+                    "VALUES (?, ?)");
             pstmt.setString(1,globalName);
             pstmt.setString(2,l.toString());
             pstmt.execute();
             
         } catch (SQLException e) {
-            System.out.println("Error on AccessionNumber.put(conn, globalName, localId): " + e.getMessage());
+            System.out.println(
+                   "Error on AccessionNumber.put(conn, globalName, localId): " 
+                   + e.getMessage());
             throw e;
         }    
         return globalName + sep + l;
@@ -94,8 +103,8 @@
     }
 
     /** check for existance of Accesssion Number */
-    private static boolean unique (Connection conn, String globalName, String localId)
-                throws SQLException
+    private static boolean unique (Connection conn, String globalName, 
+                String localId) throws SQLException
     {
         
         boolean hasAccNumber = false;
@@ -102,8 +111,9 @@
         
         try {
             PreparedStatement pstmt;
-            pstmt = conn.prepareStatement("SELECT 'x' FROM xml_acc_numbers " + 
-                                         "WHERE global_name LIKE ? AND local_id = ?");
+            pstmt = conn.prepareStatement(
+                    "SELECT 'x' FROM xml_acc_numbers " + 
+                    "WHERE global_name LIKE ? AND local_id = ?");
             pstmt.setString(1,globalName);
             pstmt.setString(2,localId);
             pstmt.execute();
@@ -112,7 +122,8 @@
             pstmt.close();
             
         } catch (SQLException e) {
-            System.out.println("Error on AccessionNumber.unique(globalName, localId): " + e.getMessage());
+            System.out.println("Error on AccessionNumber.unique(globalName, 
+                               localId): " + e.getMessage());
             throw e;
         }    
         
@@ -125,8 +136,9 @@
     {
         try {
             PreparedStatement pstmt;
-            pstmt = conn.prepareStatement("SELECT max(local_id) FROM xml_acc_numbers " + 
-                                         "WHERE global_name LIKE ?");
+            pstmt = conn.prepareStatement(
+                    "SELECT max(local_id) FROM xml_acc_numbers " + 
+                    "WHERE global_name LIKE ?");
             pstmt.setString(1,globalName);
             pstmt.execute();
             ResultSet rs = pstmt.getResultSet();
@@ -137,7 +149,8 @@
 
             pstmt.close();
         } catch (SQLException e) {
-            System.out.println("Error on AccessionNumber.get(): " + e.getMessage());
+            System.out.println(
+                   "Error on AccessionNumber.get(): " + e.getMessage());
             throw e;
         }    
         
Index: src/edu/ucsb/nceas/metacat/DBTransform.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: DBTransform.java
- *     Purpose: A Class that transforms an XML text document
- *              into a another type using XSL
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: DBTransform.java
+ *   Purpose: A Class that transforms an XML text document
+ *            into a another type using XSL
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/DBWriter.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBWriter.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBWriter.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: DBWriter.java
- *     Purpose: A Class that reads in an XML text document and
- *              write its contents to a database connection using SAX
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: DBWriter.java
+ *   Purpose: A Class that reads in an XML text document and
+ *            write its contents to a database connection using SAX
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/DBSimpleQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 168)
@@ -1,14 +1,14 @@
 /**
- *        Name: DBSimpleQuery.java
- *     Purpose: A Class that searches a relational DB for elements and 
- *              attributes that have free text matches to the query string.  
- *              It returns a result set consisting of the root nodeid for 
- *              each document that satisfies the query
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: DBSimpleQuery.java
+ *   Purpose: A Class that searches a relational DB for elements and 
+ *            attributes that have free text matches to the query string.  
+ *            It returns a result set consisting of the root nodeid for 
+ *            each document that satisfies the query
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/BasicNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/BasicNode.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/BasicNode.java	(revision 168)
@@ -1,11 +1,11 @@
 /**
- *        Name: BasicNode.java
- *     Purpose: A Class that represents an XML node and its contents
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: BasicNode.java
+ *   Purpose: A Class that represents an XML node and its contents
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;
Index: src/edu/ucsb/nceas/metacat/TextNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/TextNode.java	(revision 167)
+++ src/edu/ucsb/nceas/metacat/TextNode.java	(revision 168)
@@ -1,12 +1,12 @@
 /**
- *        Name: TextNode.java
- *     Purpose: A Class that represents an XML Text node and its contents,
- *              and can build itself from a database connection
- *   Copyright: 2000 Regents of the University of California and the
- *              National Center for Ecological Analysis and Synthesis
- *     Authors: Matt Jones
+ *      Name: TextNode.java
+ *   Purpose: A Class that represents an XML Text node and its contents,
+ *            and can build itself from a database connection
+ * Copyright: 2000 Regents of the University of California and the
+ *            National Center for Ecological Analysis and Synthesis
+ *   Authors: Matt Jones
  *
- *     Version: '$Id$'
+ *   Version: '$Id$'
  */
 
 package edu.ucsb.nceas.metacat;