Index: src/edu/ucsb/nceas/metacat/ElementNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 218)
+++ src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 219)
@@ -185,8 +185,16 @@
                   setAttribute(nodename,nodedata);
                 } else if (nodetype.equals("TEXT")) {
                   TextNode child = new TextNode(element_id,parentnodeid,
-                                                nodedata,nodetype);
+                                                nodedata);
                   addChildNode(child);
+                } else if (nodetype.equals("COMMENT")) {
+                  CommentNode child = new CommentNode(element_id,parentnodeid,
+                                                nodedata);
+                  addChildNode(child);
+                } else if (nodetype.equals("PI")) {
+                  PINode child = new PINode(element_id,parentnodeid,nodename,
+                                                nodedata);
+                  addChildNode(child);
                 } 
 
               } catch (SQLException e) {
@@ -245,6 +253,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.20  2000/06/26 10:35:05  jones
+ * 'Merged in substantial changes to DBWriter and associated classes and to
+ * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
+ * 'functions.  The command line tools and the parameters for the
+ * 'servlet have changed substantially.
+ * '
  * 'Revision 1.19.2.2  2000/06/25 23:38:16  jones
  * 'Added RCSfile keyword
  * '
Index: src/edu/ucsb/nceas/metacat/CommentNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/CommentNode.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/CommentNode.java	(revision 219)
@@ -0,0 +1,59 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class that represents an XML Comment node and its contents,
+ *             and can build itself from a database connection
+ *  Copyright: 2000 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Matt Jones
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ */
+
+package edu.ucsb.nceas.metacat;
+
+/**
+ * A Class that represents an XML Comment node and its contents,
+ */
+public class CommentNode extends BasicNode {
+
+    private String      nodeData = null;
+
+    /** 
+     * Construct a new CommentNode instance
+     *
+     * @param nodeid the element_id for the node to be created
+     * @param parentnodeid the id of the parent node
+     * @param nodedata the text of the node
+     * @param nodetype the type of the node
+     */
+    public CommentNode (long nodeid, long parentnodeid,
+                          String nodedata) {
+      setNodeID(nodeid);
+      setParentID(parentnodeid);
+      setNodeData(nodedata);
+      setNodeType("COMMENT");
+    }
+
+    /** Set the node data to the given string */
+    public void setNodeData(String nodedata) {
+      this.nodeData = nodedata;
+    }
+
+    /** Get the node data as a string value */
+    public String getNodeData() {
+      return nodeData;
+    }
+
+    /** 
+     * String representation of this text node
+     */
+    public String toString () {
+        return ("<!-- " + nodeData + " -->");
+    }
+}
+
+/**
+ * '$Log$
+ */

Property changes on: src/edu/ucsb/nceas/metacat/CommentNode.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/edu/ucsb/nceas/metacat/PINode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PINode.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/PINode.java	(revision 219)
@@ -0,0 +1,60 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class that represents an XML PI node and its contents,
+ *             and can build itself from a database connection
+ *  Copyright: 2000 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Matt Jones
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ */
+
+package edu.ucsb.nceas.metacat;
+
+/**
+ * A Class that represents an XML PI node and its contents,
+ */
+public class PINode extends BasicNode {
+
+    private String      nodeData = null;
+
+    /** 
+     * Construct a new PINode instance
+     *
+     * @param nodeid the id for the node to be created
+     * @param parentnodeid the id of the parent node
+     * @param nodename the name of the PI node
+     * @param nodedata the contents of the PI node
+     */
+    public PINode (long nodeid, long parentnodeid, String nodename,
+                          String nodedata) {
+      setNodeID(nodeid);
+      setParentID(parentnodeid);
+      setTagName(nodename);
+      setNodeData(nodedata);
+      setNodeType("PI");
+    }
+
+    /** Set the node data to the given string */
+    public void setNodeData(String nodedata) {
+      this.nodeData = nodedata;
+    }
+
+    /** Get the node data as a string value */
+    public String getNodeData() {
+      return nodeData;
+    }
+
+    /** 
+     * String representation of this text node
+     */
+    public String toString () {
+        return ("<?" + getTagName() + " " + nodeData + " ?>");
+    }
+}
+
+/**
+ * '$Log$
+ */

Property changes on: src/edu/ucsb/nceas/metacat/PINode.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 218)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 219)
@@ -215,6 +215,8 @@
     } catch (Exception npe) {
       //out.println("<P>Caught exception looking for Y value.");
     }
+
+/*
 // Jivka added
     // handle login action
     if (action.equals("Login")) {
@@ -230,11 +232,14 @@
     } else {    
       HttpSession sess = request.getSession(false);
       if (sess == null) { 
-        out.println("Session expired. You will be redirected to Login page again.");
+        out.println("Session expired. " +
+                    "You will be redirected to Login page again.");
         response.sendRedirect("/xmltodb/lib/login.html"); 
       }
     }    
 // End of Jivka added
+*/
+
     if (action.equals("query") || action.equals("squery")) {
       handleQueryAction(out, params, response);
     } else if (action.equals("getdocument")) {
@@ -266,6 +271,7 @@
    * Handle the Login request. Create a new session object.
    * Make a user authentication through SRB RMI Connection.
    */
+/*
   private void handleLoginAction(PrintWriter out, Hashtable params, 
                HttpServletRequest request, HttpServletResponse response) {
     String un = (String)params.get("username");
@@ -275,7 +281,8 @@
     try { 
         if (sess.userAuth(pw)) {
             try {
-                response.sendRedirect(response.encodeRedirectUrl("/xmltodb/lib/index.html"));
+                response.sendRedirect(
+                    response.encodeRedirectUrl("/xmltodb/lib/index.html"));
             } catch ( java.io.IOException ioe) {
                 sess.disconnect();            
                 out.println("MetaCatServlet.handleLoginAction() - " +
@@ -288,7 +295,7 @@
             out.println("SRB Connection failed. " +
                         "SRB RMI Server is not running now or " +
                         "user " + un + 
-                        " has not been authenticated to use the system");
+                        " has not been authenticated to use the system.");
         }    
     } catch ( java.rmi.RemoteException re) {
             sess.disconnect();            
@@ -295,6 +302,8 @@
             out.println("SRB Connection failed. " + re.getMessage());
     }        
   }
+*/
+
   /** 
    * Handle the database query request and return a result set, possibly
    * transformed from XML into HTML
@@ -634,6 +643,10 @@
 
 /**
  * '$Log$
+ * 'Revision 1.35  2000/06/28 00:00:47  bojilova
+ * 'changed to
+ * 'response.sendRedirect(response.encodeRedirectUrl("/xmltodb/lib/index.html"));
+ * '
  * 'Revision 1.33  2000/06/27 04:50:33  jones
  * 'Updated javadoc documentation.
  * '
Index: src/edu/ucsb/nceas/metacat/TextNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/TextNode.java	(revision 218)
+++ src/edu/ucsb/nceas/metacat/TextNode.java	(revision 219)
@@ -29,11 +29,11 @@
      * @param nodetype the type of the node
      */
     public TextNode (long nodeid, long parentnodeid,
-                          String nodedata, String nodetype) {
+                          String nodedata) {
       setNodeID(nodeid);
       setParentID(parentnodeid);
       setNodeData(nodedata);
-      setNodeType(nodetype);
+      setNodeType("TEXT");
     }
 
     /** Set the node data to the given string */
@@ -56,6 +56,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.7  2000/06/26 10:35:05  jones
+ * 'Merged in substantial changes to DBWriter and associated classes and to
+ * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
+ * 'functions.  The command line tools and the parameters for the
+ * 'servlet have changed substantially.
+ * '
  * 'Revision 1.6.2.2  2000/06/25 23:38:17  jones
  * 'Added RCSfile keyword
  * '