Index: lib/sexpire.html
===================================================================
--- lib/sexpire.html	(revision 325)
+++ lib/sexpire.html	(nonexistent)
@@ -1,28 +0,0 @@
-<!--
-  * sexpire.html
-  *
-  *      Authors: Jivka Bojilova
-  *    Copyright: 2000 Regents of the University of California and the
-  *               National Center for Ecological Analysis and Synthesis
-  *  For Details: http://www.nceas.ucsb.edu/
-  *      Created: 2000 June 26
-  *      Version: 0.01
-  *    File Info: '$Id$'
-  * 
-  * This is an HTML document for showing session expiration message
--->
-<HTML>
-<HEAD>
-<TITLE>MetaCat</TITLE>
-</HEAD>
-<BODY bgcolor="#FFFFFF">
-
-  <P>&nbsp;
-  <P>For security reasons your connection to MetaCat <br>
-     has been closed or timed out after 30 minutes <br>
-     of inactivity. Please go to 
-     <A HREF="/xmltodb/lib/login.html" TARGET="_top"><i>Login</i></A>
-     page again. <br>
-
-</BODY>
-</HTML>

Property changes on: lib/sexpire.html
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/query.html
===================================================================
--- lib/query.html	(revision 325)
+++ lib/query.html	(nonexistent)
@@ -1,27 +0,0 @@
-<!--
-  * query.html
-  *
-  *      Authors: Jivka Bojilova
-  *    Copyright: 2000 Regents of the University of California and the
-  *               National Center for Ecological Analysis and Synthesis
-  *  For Details: http://www.nceas.ucsb.edu/
-  *      Created: 2000 April 5
-  *      Version: 0.01
-  *    File Info: '$Id$'
-  * 
-  * This is an HTML document for displaying metadata catalog tools
--->
-  <HTML>
-  <HEAD>
-  <TITLE>MetaCat</TITLE>
-  </HEAD> 
-  <FRAMESET COLS="*" FRAMEBORDER=0 BORDER=0>
-
-    <FRAMESET ROWS="165,*"  FRAMEBORDER=0 BORDER=0>
-    
-    <FRAME SRC="queform.html" BORDER=0 NAME="left">
-
-    <FRAME SRC="/servlets/MetaCatServlet?action=query&query=NCEAS%25&qformat=html&doctype=-//NCEAS//eml-dataset//EN" BORDER=0 NAME="right">
-
-    </FRAMESET>
-  </FRAMESET>

Property changes on: lib/query.html
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: lib/queform.html
===================================================================
--- lib/queform.html	(revision 325)
+++ lib/queform.html	(revision 326)
@@ -36,6 +36,7 @@
   <option value="any">Any
   </select>
 </form>
+<a href="login.html" target="right">Login</a>
 </td>
 <td valign="top">
 <font size="-1">
Index: lib/index.html
===================================================================
--- lib/index.html	(revision 325)
+++ lib/index.html	(revision 326)
@@ -1,7 +1,7 @@
 <!--
-  * index.html
+  * query.html
   *
-  *      Authors: Matt Jones
+  *      Authors: Jivka Bojilova
   *    Copyright: 2000 Regents of the University of California and the
   *               National Center for Ecological Analysis and Synthesis
   *  For Details: http://www.nceas.ucsb.edu/
@@ -19,7 +19,7 @@
 
     <FRAMESET ROWS="165,*"  FRAMEBORDER=0 BORDER=0>
     
-    <FRAME SRC="contents.html" BORDER=0 NAME="left">
+    <FRAME SRC="queform.html" BORDER=0 NAME="left">
 
     <FRAME SRC="/servlets/MetaCatServlet?action=query&query=NCEAS%25&qformat=html&doctype=-//NCEAS//eml-dataset//EN" BORDER=0 NAME="right">
 
Index: lib/login.html
===================================================================
--- lib/login.html	(revision 325)
+++ lib/login.html	(revision 326)
@@ -25,18 +25,7 @@
   <P>&nbsp;
 
   <FORM ACTION="/servlets/MetaCatServlet" METHOD="POST">
-    Login as "anonymous" user in <b>MetaCat</b>
     <INPUT TYPE="hidden" NAME="action" VALUE="Login">
-    <INPUT TYPE="hidden" NAME="username" VALUE="anonymous">
-    <INPUT TYPE="hidden" NAME="password">
-    <INPUT TYPE="submit" NAME="Go" VALUE=" Go ">
-  </FORM>
-
-  <HR WIDTH="300" ALIGN="left">
-
-  <FORM ACTION="/servlets/MetaCatServlet" METHOD="POST">
-    Login as registered user in <b>MetaCat</b>
-    <INPUT TYPE="hidden" NAME="action" VALUE="Login">
     <P>Username &nbsp;&nbsp;&nbsp;
     <INPUT TYPE="text" NAME="username" SIZE="15">
     <P>Password &nbsp;&nbsp;&nbsp;