Index: src/edu/ucsb/nceas/metacat/ElementNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -253,6 +254,10 @@
 
 /**
  * '$Log$
+ * 'Revision 1.21  2000/06/28 02:36:26  jones
+ * 'Added feature to now ouput COMMENTs and PIs when the document is
+ * 'read from the database with DBReader.
+ * '
  * 'Revision 1.20  2000/06/26 10:35:05  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
Index: src/edu/ucsb/nceas/metacat/AccessionNumberException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessionNumberException.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/AccessionNumberException.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -37,6 +38,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.2  2000/06/26 10:35:04  jones
+ * 'Merged in substantial changes to DBWriter and associated classes and to
+ * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
+ * 'functions.  The command line tools and the parameters for the
+ * 'servlet have changed substantially.
+ * '
  * 'Revision 1.1.2.1  2000/06/25 23:55:50  jones
  * 'Added AccessionNumberException to provide mechanism for handling
  * 'invalid or inappropriate accession numbers.
Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones, Jivka Bojilova
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -360,6 +361,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.32  2000/08/03 23:17:03  bojilova
+ * 'Call to DBSAXNode constructor simplified
+ * '
  * 'Revision 1.31  2000/06/29 23:27:08  jones
  * 'Fixed bug in DBEntityResolver so that it now properly delegates to
  * 'the system id found inthe database.
Index: src/edu/ucsb/nceas/metacat/DBValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 349)
@@ -7,6 +7,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Dan Higgins, Matt Jones
+ *    Release: @release@
  * 
  *   '$Author$'
  *     '$Date$'
@@ -331,6 +332,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.8  2000/06/29 23:27:08  jones
+ * 'Fixed bug in DBEntityResolver so that it now properly delegates to
+ * 'the system id found inthe database.
+ * 'Changed DBValidate to use DBEntityResolver, rather than the OASIS
+ * 'catalog, and to return validation results in XML format.
+ * '
  * 'Revision 1.7  2000/06/26 10:35:05  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
Index: src/edu/ucsb/nceas/metacat/DBSAXDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXDocument.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBSAXDocument.java	(revision 349)
@@ -4,6 +4,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Jivka Bojilova, Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -276,6 +277,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.16  2000/08/03 23:15:11  bojilova
+ * 'Added public method to return the rootnodeid of the document
+ * '
  * 'Revision 1.15  2000/06/27 04:31:07  jones
  * 'Fixed bugs associated with the new UPDATE and DELETE functions of
  * 'DBWriter.  There were problematic interactions between some static
Index: src/edu/ucsb/nceas/metacat/DBEntityResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBEntityResolver.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Jivka Bojilova, Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -209,6 +210,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.14  2000/06/30 00:52:04  jones
+ * 'changed char stream to byte stream
+ * '
  * 'Revision 1.13  2000/06/29 23:27:08  jones
  * 'Fixed bug in DBEntityResolver so that it now properly delegates to
  * 'the system id found inthe database.
Index: src/edu/ucsb/nceas/metacat/QuerySpecification.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/QuerySpecification.java	(revision 349)
@@ -7,6 +7,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -482,6 +483,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.10  2000/06/26 10:35:05  jones
+ * 'Merged in substantial changes to DBWriter and associated classes and to
+ * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
+ * 'functions.  The command line tools and the parameters for the
+ * 'servlet have changed substantially.
+ * '
  * 'Revision 1.9.2.3  2000/06/25 23:38:17  jones
  * 'Added RCSfile keyword
  * '
Index: src/edu/ucsb/nceas/metacat/DBSAXNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 349)
@@ -4,6 +4,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -305,6 +306,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.33  2000/08/03 23:17:19  bojilova
+ * 'DBSAXNode constructor simplified
+ * '
  * 'Revision 1.32  2000/06/27 04:31:07  jones
  * 'Fixed bugs associated with the new UPDATE and DELETE functions of
  * 'DBWriter.  There were problematic interactions between some static
Index: src/edu/ucsb/nceas/metacat/CommentNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/CommentNode.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/CommentNode.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -56,4 +57,8 @@
 
 /**
  * '$Log$
+ * 'Revision 1.1  2000/06/28 02:36:26  jones
+ * 'Added feature to now ouput COMMENTs and PIs when the document is
+ * 'read from the database with DBReader.
+ * '
  */
Index: src/edu/ucsb/nceas/metacat/DBReader.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBReader.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBReader.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -250,6 +251,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.19  2000/08/11 22:20:04  jones
+ * 'Changed exception handling mechanisms for DBReader
+ * '
  * 'Revision 1.18  2000/08/10 22:39:04  jones
  * 'changed getRootNode method from public to private
  * '
Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 349)
@@ -8,6 +8,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -312,6 +313,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.11  2000/08/11 18:26:07  berkley
+ * 'added createSQuery
+ * '
  * 'Revision 1.10  2000/07/26 20:40:41  higgins
  * 'no message
  * '
Index: src/edu/ucsb/nceas/metacat/MetaCatUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatUtil.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/MetaCatUtil.java	(revision 349)
@@ -4,6 +4,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones, Jivka Bojilova
+ *    Release: @release@
  * 
  *   '$Author$'
  *     '$Date$'
@@ -237,6 +238,21 @@
 
 /**
  * '$Log$
+ * 'Revision 1.13  2000/08/09 00:39:47  jones
+ * '-Reorganized xmltodb module to support new install process for the new
+ * 'linux server (dev.nceas.ucsb.edu).  Added "build.sh" shell script that
+ * 'calls ant withthe proper umask set for installation.  Use:
+ * '
+ * '  ./build.sh install
+ * '
+ * 'to post a new copy of the servlet and its supporting files to the install
+ * 'directory defined in build.xml.
+ * '
+ * '-Updated the servlet to use a new servlet prefix that we'll use with the
+ * 'Tomcat servlet engine.
+ * '
+ * '-Update bin dir shell scripts to reflect new locations of relevant jar files.
+ * '
  * 'Revision 1.12  2000/08/04 23:34:10  bojilova
  * 'more precise handling of the Connection Pool
  * '
Index: src/edu/ucsb/nceas/metacat/PINode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PINode.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/PINode.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -57,4 +58,8 @@
 
 /**
  * '$Log$
+ * 'Revision 1.1  2000/06/28 02:36:26  jones
+ * 'Added feature to now ouput COMMENTs and PIs when the document is
+ * 'read from the database with DBReader.
+ * '
  */
Index: src/edu/ucsb/nceas/metacat/AccessionNumberGeneratedException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessionNumberGeneratedException.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/AccessionNumberGeneratedException.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -31,4 +32,14 @@
 
 /**
  * '$Log$
+ * 'Revision 1.1  2000/06/27 04:31:07  jones
+ * 'Fixed bugs associated with the new UPDATE and DELETE functions of
+ * 'DBWriter.  There were problematic interactions between some static
+ * 'variables used in DBEntityResolver and the way in which the
+ * 'Servlet objects are re-used across multiple client invocations.
+ * '
+ * 'Generally cleaned up error reporting.  Now all errors and success
+ * 'results are reported as XML documents from MetaCatServlet.  Need
+ * 'to make the command line tools do the same.
+ * '
  */
Index: src/edu/ucsb/nceas/metacat/DBDTDHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBDTDHandler.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBDTDHandler.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Jivka Bojilova
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -144,6 +145,16 @@
 
 /**
  * '$Log$
+ * 'Revision 1.10  2000/06/27 04:31:07  jones
+ * 'Fixed bugs associated with the new UPDATE and DELETE functions of
+ * 'DBWriter.  There were problematic interactions between some static
+ * 'variables used in DBEntityResolver and the way in which the
+ * 'Servlet objects are re-used across multiple client invocations.
+ * '
+ * 'Generally cleaned up error reporting.  Now all errors and success
+ * 'results are reported as XML documents from MetaCatServlet.  Need
+ * 'to make the command line tools do the same.
+ * '
  * 'Revision 1.9  2000/06/26 10:35:04  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
Index: src/edu/ucsb/nceas/metacat/AccessionNumber.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessionNumber.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/AccessionNumber.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Jivka Bojilova, Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -229,6 +230,16 @@
 
 /**
  * '$Log$
+ * 'Revision 1.10  2000/06/27 04:31:07  jones
+ * 'Fixed bugs associated with the new UPDATE and DELETE functions of
+ * 'DBWriter.  There were problematic interactions between some static
+ * 'variables used in DBEntityResolver and the way in which the
+ * 'Servlet objects are re-used across multiple client invocations.
+ * '
+ * 'Generally cleaned up error reporting.  Now all errors and success
+ * 'results are reported as XML documents from MetaCatServlet.  Need
+ * 'to make the command line tools do the same.
+ * '
  * 'Revision 1.9  2000/06/26 10:35:04  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
Index: src/edu/ucsb/nceas/metacat/DBTransform.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -181,6 +182,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.8  2000/06/26 10:35:05  jones
+ * 'Merged in substantial changes to DBWriter and associated classes and to
+ * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
+ * 'functions.  The command line tools and the parameters for the
+ * 'servlet have changed substantially.
+ * '
  * 'Revision 1.7.2.2  2000/06/25 23:38:16  jones
  * 'Added RCSfile keyword
  * '
Index: src/edu/ucsb/nceas/metacat/DBWriter.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBWriter.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBWriter.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -251,6 +252,11 @@
 
 /**
  * '$Log$
+ * 'Revision 1.24  2000/08/14 17:59:32  bojilova
+ * 'on "DELETE" added delete from xml_index table for a given docid
+ * 'before delete from xml_documents, b' of foreign key in xml_index(docid)
+ * 'to xml_documents(docid)
+ * '
  * 'Revision 1.23  2000/06/29 23:27:08  jones
  * 'Fixed bug in DBEntityResolver so that it now properly delegates to
  * 'the system id found inthe database.
Index: src/edu/ucsb/nceas/metacat/MetaCatSession.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatSession.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/MetaCatSession.java	(revision 349)
@@ -4,6 +4,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
Index: src/edu/ucsb/nceas/metacat/DBUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 349)
@@ -6,6 +6,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Jivka Bojilova
+ *    Release: @release@
  * 
  *   '$Author$'
  *     '$Date$'
Index: src/edu/ucsb/nceas/metacat/McdbException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/McdbException.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/McdbException.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
Index: src/edu/ucsb/nceas/metacat/DBSimpleQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 349)
@@ -7,6 +7,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -201,6 +202,9 @@
 
 /**
  * '$Log$
+ * 'Revision 1.17  2000/07/26 20:40:40  higgins
+ * 'no message
+ * '
  * 'Revision 1.16  2000/06/26 10:35:05  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
Index: src/edu/ucsb/nceas/metacat/BasicNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/BasicNode.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/BasicNode.java	(revision 349)
@@ -4,6 +4,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -221,6 +222,12 @@
 
 /**
  * '$Log$
+ * 'Revision 1.20  2000/06/26 10:35:04  jones
+ * 'Merged in substantial changes to DBWriter and associated classes and to
+ * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE
+ * 'functions.  The command line tools and the parameters for the
+ * 'servlet have changed substantially.
+ * '
  * 'Revision 1.19.2.2  2000/06/25 23:38:16  jones
  * 'Added RCSfile keyword
  * '
Index: src/edu/ucsb/nceas/metacat/McdbDocNotFoundException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/McdbDocNotFoundException.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/McdbDocNotFoundException.java	(revision 349)
@@ -6,6 +6,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
Index: src/edu/ucsb/nceas/metacat/TextNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/TextNode.java	(revision 348)
+++ src/edu/ucsb/nceas/metacat/TextNode.java	(revision 349)
@@ -5,6 +5,7 @@
  *  Copyright: 2000 Regents of the University of California and the
  *             National Center for Ecological Analysis and Synthesis
  *    Authors: Matt Jones
+ *    Release: @release@
  *
  *   '$Author$'
  *     '$Date$'
@@ -56,6 +57,10 @@
 
 /**
  * '$Log$
+ * 'Revision 1.8  2000/06/28 02:36:26  jones
+ * 'Added feature to now ouput COMMENTs and PIs when the document is
+ * 'read from the database with DBReader.
+ * '
  * 'Revision 1.7  2000/06/26 10:35:05  jones
  * 'Merged in substantial changes to DBWriter and associated classes and to
  * 'the MetaCatServlet in order to accomodate the new UPDATE and DELETE